List Match Booster enrichment runs
curl --request GET \
--url https://api.hightouch.com/api/v1/models/{modelId}/match-booster/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hightouch.com/api/v1/models/{modelId}/match-booster/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hightouch.com/api/v1/models/{modelId}/match-booster/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/models/{modelId}/match-booster/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/models/{modelId}/match-booster/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hightouch.com/api/v1/models/{modelId}/match-booster/runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/models/{modelId}/match-booster/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "715eba82-2097-4c1b-91c0-ae7c279c763a",
"status": "success",
"region": "us",
"error": null,
"enrichedRows": 100000,
"isFullEnrichment": false,
"durationMs": 360000,
"enrichedAt": "2026-08-19T00:00:00.000Z"
}
],
"hasMore": false
}{
"message": "Validation failed",
"details": {}
}"Internal Server Error"API Reference
List Match Booster enrichment runs
List Match Booster enrichment runs for a model, most recent first.
GET
/
models
/
{modelId}
/
match-booster
/
runs
List Match Booster enrichment runs
curl --request GET \
--url https://api.hightouch.com/api/v1/models/{modelId}/match-booster/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hightouch.com/api/v1/models/{modelId}/match-booster/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hightouch.com/api/v1/models/{modelId}/match-booster/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/models/{modelId}/match-booster/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/models/{modelId}/match-booster/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hightouch.com/api/v1/models/{modelId}/match-booster/runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/models/{modelId}/match-booster/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "715eba82-2097-4c1b-91c0-ae7c279c763a",
"status": "success",
"region": "us",
"error": null,
"enrichedRows": 100000,
"isFullEnrichment": false,
"durationMs": 360000,
"enrichedAt": "2026-08-19T00:00:00.000Z"
}
],
"hasMore": false
}{
"message": "Validation failed",
"details": {}
}"Internal Server Error"Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the model
Query Parameters
Filter runs to a Match Booster region
Available options:
us, eu limit the number of objects returned (default is 100)
set the offset on results (for pagination)
Was this page helpful?